//Nokia7110.h
#ifndef __NOKIA7110_H
#define __NOKIA7110_H

#include <p18cxxx.h>
#include <delays.h>
#include <string.h>

//Speed
    #define Speed   8       //4,8,20

//Pinout
    #define LCD_LATCH   LATC
    #define LCD_TRIS    TRISC
    #define LCD_PORT    PORTC

	#define RST		0
	#define CS		1
    #define DC      2
	#define SCL		3
    #define BTN     4
	#define SDO		5

/*
    #define CS	 21       //1
    #define DC   22       //2
    #define SCL	 23       //5
    #define SDO	 24       //6
    #define RST	 25       //7
*/

//Styles
    #define None        0x00
    #define Strike      0x10
    #define DblStrike   0x24
    #define Underline   0x80
    #define Overline    0x01
//Prototypes
    #define bitset(var,bitno) (var|=1<<bitno);
    #define bitclr(var,bitno) (var&=~(1<<bitno));

void CLS(void);
void LCD_Init(void);
void SendBuff(void);
void LCD_Reset(void);
void ClearBuff(void);
void DelayMS(unsigned int ms);
void SendByte(unsigned char data);
void LCDCircle(char x0, char y0, char radius);
unsigned char bitchk(unsigned char var,char bitno);
void SetPixel(unsigned char top, unsigned char left);
void LCD_Send(unsigned char cmd, unsigned char type);
void LCDRect(char x0, char y0, char width, char height);
void LCDImage(rom unsigned char *image,char left, char top);
void LCDLine(char top0, char left0, char top1, char left1);
void LCDCube(char Sq0T,char Sq0L,char Sq1T,char Sq1L,char width, char height);
void LCDChar(unsigned char letter,unsigned char font,unsigned char style,unsigned char top, unsigned char left);
void LCDString(rom unsigned char *str,unsigned char font,unsigned char style,unsigned char top, unsigned char left);

#endif
